## pcsx2 2.4.0%2Bdfsg

=== debian/control ===
Source: pcsx2
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sébastien Noel <sebastien@twolife.be>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               googletest,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbacktrace-dev,
               libchdr-dev (>= 0.0~git20250608~),
               libcpuinfo-dev,
               libcubeb-dev,
               libcurl4-openssl-dev,
               libdiscord-rpc-dev,
               libfast-float-dev,
               libfreetype-dev,
               libfmt-dev,
               libicu-dev,
               libjpeg-dev,
               libkddockwidgets-qt6-dev,
               liblz4-dev,
               libpcap-dev,
#               libplutosvg-dev,
               libplutovg-dev,
               libpng-dev,
               librcheevos-dev,
               libsdl3-dev,
               libshaderc-dev,
               libsimpleini-dev,
               libsoundtouch-dev,
               libspeex-dev,
               libswresample-dev,
               libswscale-dev,
               libvixl-dev [arm64],
               libvulkan-dev,
               libvulkan-memory-allocator-dev,
               libwebp-dev,
               libxbyak-dev [amd64],
               libzip-dev,
               libzstd-dev,
               libzydis-dev [amd64],
               qt6-base-private-dev,
               qt6-tools-dev,
               rapidjson-dev,
               zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://pcsx2.net/
Vcs-Git: https://salsa.debian.org/games-team/pcsx2.git
Vcs-Browser: https://salsa.debian.org/games-team/pcsx2

Package: pcsx2
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted
Description: Playstation 2 emulator
 PCSX2 is a PlayStation 2 emulator for Windows and Linux.
 .
 This package includes the main binary, plug-ins and localization files.
