## pcsx2 2.4.0+dfsg

=== debian/changelog ===
pcsx2 (2.4.0+dfsg-2) unstable; urgency=medium

  * Build on amd64 without '-march=native'
  * Disable build on arm64, upstream stress that this port is incomplete
    and ask to not ship work in progress to users.

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 17 Jan 2026 12:35:55 +0100

pcsx2 (2.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream release (Closes: #960860)
    + Fix CVE-2025-49589 (Closes: #1107756)
  * Build package for amd64 & arm64 instead of i386
  * Build-Depends on Qt6 instead of wxWidgets
  * Drop obsolete patches
  * Update d/copyright
  * Apply upstream patch to fix CVE-2025-67749 (Closes: #1122861)
  * Temporary vendor plutosvg, stuck in the NEW queue.

  [ David James ]
  * Add patches to link against system libraries instead of vendored ones.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 16 Jan 2026 15:07:13 +0100
