=== debian/watch ===
Version: 5

Template: Github
Owner: PCSX2
Project: pcsx2
Repack: yes
Repacksuffix: +dfsg
Dversion-Mangle: auto
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v?(2\.[2468][0-9\.]*)

Component: plutosvg
Template: Github
Owner: sammycage
Project: plutosvg
Compression: xz
