=== debian/changelog ===
pcsx2 (2.6.3+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:36:21 +0000

pcsx2 (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * De-vendor plutosvg

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 03 Feb 2026 18:50:14 +0100
