=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pcsx2
 Section: games
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Sébastien Noel <sebastien@twolife.be>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
@@ -25,7 +26,7 @@
                libkddockwidgets-qt6-dev,
                liblz4-dev,
                libpcap-dev,
-#               libplutosvg-dev,
+               libplutosvg-dev,
                libplutovg-dev,
                libpng-dev,
                librcheevos-dev,
@@ -44,7 +45,7 @@
                libzip-dev,
                libzstd-dev,
                libzydis-dev [amd64],
-               qt6-base-private-dev,
+               qt6-base-private-dev (>= 6.9.2),
                qt6-tools-dev,
                rapidjson-dev,
                zlib1g-dev
@@ -55,8 +56,11 @@
 
 Package: pcsx2
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted
+Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted, fonts-noto-color-emoji
 Description: Playstation 2 emulator
- PCSX2 is a PlayStation 2 emulator for Windows and Linux.
+ PCSX2 is a free software PlayStation 2 (PS2) emulator.
+ It emulate the PS2's hardware, using a combination of MIPS CPU
+ Interpreters, Recompilers, and a Virtual Machine that manages hardware
+ states and system memory.
  .
- This package includes the main binary, plug-ins and localization files.
+ A significant majority of the PS2 library is considered playable.
