=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 		-DDISABLE_ADVANCE_SIMD=ON \
 		-DENABLE_TESTS=1
 
+override_dh_auto_build:
+	# False positive from blhc. See #1125781.
+	@echo 'blhc: ignore-line-regexp: /usr/(bin|lib)/(ccache/)?c\+\+ (?:-std=\S+ )?-w -dM -E (?:-c )?/usr/share/cmake-[0-9.]+/Modules/CMakeCXXCompilerABI.cpp .*'
+	dh_auto_build
+
 execute_after_dh_auto_install:
 	mv debian/pcsx2/usr/bin debian/pcsx2/usr/games
 	install -m644 pcsx2-qt/resources/icons/AppIcon64.png debian/pcsx2/usr/share/pixmaps/pcsx2-qt.png
